## org.eclipse.datatools.connectivity.security
Interface ICipherProvider

All Known Implementing Classes:
  CipherProviderBase, org.eclipse.datatools.connectivity.internal.security.DefaultCipherProvider

    public interface ICipherProvider

[Provisional]
Interface for accessing functionality provided by security extensions.

Since:
  1.2.4 (DTP 1.9.2)
Author:
  rcernich

Method Summary
`javax.crypto.Cipher` `createDecryptionCipher()`
`javax.crypto.Cipher` `createEncryptionCipher()`

Method Detail

### createEncryptionCipher

    javax.crypto.Cipher createEncryptionCipher()
                                               throws java.security.GeneralSecurityException

  Returns:
    a Cipher object for encryption
  Throws:
    `java.security.GeneralSecurityException`

### createDecryptionCipher

    javax.crypto.Cipher createDecryptionCipher()
                                               throws java.security.GeneralSecurityException

  Returns:
    a Cipher object for decryption
  Throws:
    `java.security.GeneralSecurityException`